Update git submodules

Authored by matmarex on Feb 15 2018, 7:21 PM.

Description

Update git submodules

  • Update extensions/ProofreadPage from branch 'wmf/1.31.0-wmf.21' to 000c7831b255790ca0ed62947899b51c0302e0a7
    • Fix .textSelection( 'encapsulateSelection', ... ) on #wpTextbox1

      After change ce6be3292e7d44d06f0aba8b98fbbbab80c5630c in MediaWiki core, .textSelection( 'encapsulateSelection', ... ) expects the other textSelection API overrides to be consistent with each other. However, ProofreadPage only overrides the 'getContents' method, causing 'encapsulateSelection' to behave in a very broken way.

      Re-implement 'encapsulateSelection' by copy-pasting a bunch of code from MediaWiki core jquery.textSelection :(

      We could implement the other overrides ('setContents', 'getSelection', 'getCaretPosition', 'setSelection'), but I think no one would actually use them, and I think no one would actually be interested in reviewing all that new code. So let's just do this the straightforward way (even though it's ugly) and fix the bug.

      Bug: T187454 Change-Id: I7d6d10f40780a4584d5edf35b4dc0d90bde0e7cc

Details

Committed
Gerrit Code Review <gerrit@wikimedia.org>Feb 16 2018, 12:11 AM
Parents
rMW50c17494a1b1: Update git submodules
Branches
Unknown
Tags
Unknown
ChangeId
None